Loading...
Searching...
No Matches
Dune::Functions::Concept::DifferentiableGridFunction< Range(Domain), EntitySet, DerivativeTraits > Struct Template Reference
Functions » Function concepts

Concept for a differentiable grid function mapping `Domain` to `Range`. More...

`#include <dune/functions/common/functionconcepts.hh>`

Inheritance diagram for Dune::Functions::Concept::DifferentiableGridFunction< Range(Domain), EntitySet, DerivativeTraits >:

## Public Types

using | LocalSignature = Range(typename EntitySet::LocalCoordinate)
using | LocalContext = typename EntitySet::Element
template<class R>
using | LocalDerivativeTraits = typename Dune::Functions::LocalDerivativeTraits<EntitySet, DerivativeTraits>::template Traits<R>

## Public Member Functions

template<class F>
auto | require (F &&f) -> decltype(requireConcept< DifferentiableLocalFunction< LocalSignature, LocalContext, LocalDerivativeTraits > >(localFunction(f)))

## Detailed Description

template<class Range, class Domain, class EntitySet, template< class > class DerivativeTraits>
struct Dune::Functions::Concept::DifferentiableGridFunction< Range(Domain), EntitySet, DerivativeTraits >

Concept for a differentiable grid function mapping `Domain` to `Range`.

The derivative range is derived from the provided `DerivativeTraits`.

Template Parameters

  Domain | Domain type
  Range | Range type
  EntitySet | Set of entities on which the function can be localized
  DerivativeTraits | Traits class for computation of derivative range

## Member Typedef Documentation

## LocalContext

template<class Range, class Domain, class EntitySet, template< class > class DerivativeTraits>

using Dune::Functions::Concept::DifferentiableGridFunction< Range(Domain), EntitySet, DerivativeTraits >::LocalContext = typename EntitySet::Element

## LocalDerivativeTraits

template<class Range, class Domain, class EntitySet, template< class > class DerivativeTraits>
template<class R>

using Dune::Functions::Concept::DifferentiableGridFunction< Range(Domain), EntitySet, DerivativeTraits >::LocalDerivativeTraits = typename Dune::Functions::LocalDerivativeTraits<EntitySet, DerivativeTraits>::template Traits<R>

## LocalSignature

template<class Range, class Domain, class EntitySet, template< class > class DerivativeTraits>

using Dune::Functions::Concept::DifferentiableGridFunction< Range(Domain), EntitySet, DerivativeTraits >::LocalSignature = Range(typename EntitySet::LocalCoordinate)

## Member Function Documentation

## require()

template<class Range, class Domain, class EntitySet, template< class > class DerivativeTraits>
template<class F>

auto Dune::Functions::Concept::DifferentiableGridFunction< Range(Domain), EntitySet, DerivativeTraits >::require | ( | F && | f | ) | ->decltype(requireConcept< DifferentiableLocalFunction< LocalSignature, LocalContext, LocalDerivativeTraits > >(localFunction(f)))

The documentation for this struct was generated from the following file:

- functionconcepts.hh